Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Android Studio – "aidl is missing" … no, no es

He seguido esta guía para intentar corregir este error …

"Error: La ejecución falló para la tarea ': app: compileDebugAidl'. Aidl falta"

Puse "IInAppBillingService.aidl" en "app / src / main / aidl / com.android.vending.billing" y cuando reconstruyo el proyecto, el error sigue ahí. He reiniciado Android Studio varias veces … simplemente no arreglará, he seguido la guía a la carta, ha funcionado para todos los demás …

¿Podría alguien ayudar por favor?

  • Permiso de Firebase negado Error
  • ¿Por qué obtengo este error cuando agrego la biblioteca de clientes de Google Translate a mi proyecto de Android?
  • IDEA - "Importar desde un modelo externo" vs "Crear desde una fuente existente"?
  • Captura de imagen mientras el dispositivo está bloqueado con contraseña
  • Cómo obtener IMSI de Android teléfono?
  • Gráfico sobre las líneas de cuadrícula en AChartEngine Gráfico de barras
  • ¿Es seguro el modo en que la base de datos de la base de datos Firebase maneja los recuentos?
  • Pasar ArrayList de objetos a través de la intención - Java (Android)
  • 4 Solutions collect form web for “Android Studio – "aidl is missing" … no, no es”

    Para cualquiera que tenga este error, vea la sugerencia proporcionada en los comentarios anteriores por CommonsWare. Reduzca sus herramientas de compilación de SDK a 22.0.1, por defecto es 23.0.0_rc1.

    Cambiando la versión Build Tools de 23.0.0 rc1 a 22.0.1 en la estructura del proyecto, entonces Clean and Rebuild funcionó para mí.
    Si cambió las herramientas de compilación y el problema no se solucionó, intente limpiar y reconstruir, y tal vez cerrar Android Studio y reabrirlo.

    Para construir su aplicación sin aidl is missing error con compileSdkVersion 23 y buildToolsVersion "23.0.1" debe especificar las últimas versiones para Android y Google Play Services (sólo si los está usando). Gradle plugins en el archivo build.gradle principal:

     buildscript { repositories { ... } dependencies { classpath 'com.android.tools.build:gradle:1.3.1' classpath 'com.google.gms:google-services:1.3.1' } } 

    Yo también tuve el mismo problema, y ​​por degradar la versión de compilación de 23 a 22, mi aplicación cumplió con éxito.

    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.